# add SRA data access?
# use unbundled tinythread

Name:           hisat2
Version:        2.1.0
Release:        1%{?dist}
Summary:        Graph-based alignment of next generation sequencing reads to a population of genomes
License:        GPLv3+
URL:            http://ccb.jhu.edu/software/hisat2/index.shtml
Source0:        ftp://ftp.ccb.jhu.edu/pub/infphilo/hisat2/downloads/hisat2-%version-source.zip
BuildRequires:  gcc-c++ zlib-devel
# Requires 64-bit -- see Makefile.
ExcludeArch:    %arm %ix86 ppc

%description
HISAT2 is a fast and sensitive alignment program for mapping
next-generation sequencing reads (both DNA and RNA) against the
general human population (as well as against a single reference
genome).  Based on an extension of BWT for graphs, it implements a
graph FM index (GFM), an original approach and its first known
implementation.  In addition to using one global GFM index that
represents the general population, HISAT2 uses a large set of small
GFM indexes that collectively cover the whole genome (each index
representing a genomic region of 56 Kbp, with 55,000 indexes needed to
cover the human population).  These small indexes (called local
indexes), combined with several alignment strategies, enable rapid and
accurate alignment of sequencing reads. This new indexing scheme is
called a Hierarchical Graph FM index (HGFM).

Kim D, Langmead B and Salzberg SL. HISAT: a fast spliced aligner with
low memory requirements. Nature Methods 2015

%package example
Summary: Example files for %name
BuildArch: noarch

%description example
Example files for %name.


%prep
%setup -q -n %name-%version


%build
make %{?_smp_mflags} BITS=64 SSE_FLAG=


%install
mkdir -p %buildroot%_bindir
install -m755 hisat2-align-l hisat2-align-s hisat2-build-s \
        hisat2-inspect-s hisat2-inspect-l %buildroot%_bindir


%{!?_licensedir:%global license %doc}
%files
%license LICENSE
# TUTORIAL is for bowtie
%doc AUTHORS MANUAL NEWS scripts
%_bindir/*

%files example
%doc example


%changelog
* Tue Jul 25 2017 Dave Love <loveshack@fedoraproject.org> - 2.1.0-1
- New version

* Mon May  9 2016 Dave Love <loveshack@fedoraproject.org> - 2.0.3-1
- Initial packaging
